{
  config,
  pkgs,
  inputs,
  ...
}: {
  home = {
    username = "k";
    homeDirectory = "/home/k";
    stateVersion = "23.11";
  };
  programs = {
    git = {
      enable = true;
      userName = "k";
      userEmail = "markers711@gmail.com";
    };
    tmux.enable = true;
    starship.enable = true;
    zsh = {
      enable = true;
      autosuggestion.enable = true;
      enableCompletion = true;
      syntaxHighlighting.enable = true;
      autocd = true;
      plugins = [
        {
          name = "zsh-nix-shell";
          file = "nix-shell.plugin.zsh";
          src = pkgs.fetchFromGitHub {
            owner = "chisui";
            repo = "zsh-nix-shell";
            rev = "v0.8.0";
            sha256 = "1lzrn0n4fxfcgg65v0qhnj7wnybybqzs4adz7xsrkgmcsr0ii8b7";
          };
        }
      ];
    };
  };
}
